using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ItemBehavior : MonoBehaviour
{

    public float Speed;

    [HideInInspector]
    public int ItemID;

    [HideInInspector]
    public float PickUpBlockCounter;
    public bool IsPickUpBlocked { get => PickUpBlockCounter > -1; }

    void Start()
    {
        PickUpBlockCounter = Global.PICK_UP_BLOCK_DURATION;
    }


    void Update()
    {
        transform.Rotate(Vector3.up * Speed * Time.deltaTime, Space.Self);
        PickUpBlockCounter -= Time.deltaTime;
        if (PickUpBlockCounter <= 0f)
            PickUpBlockCounter = -1;
    }

}
